aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/services/hostapd/files/wps-hotplug.sh
diff options
context:
space:
mode:
authorJames <>2015-11-04 11:49:21 +0000
committerJames <>2015-11-04 11:49:21 +0000
commit716ca530e1c4515d8683c9d5be3d56b301758b66 (patch)
tree700eb5bcc1a462a5f21dcec15ce7c97ecfefa772 /package/network/services/hostapd/files/wps-hotplug.sh
downloadtrunk-47381-master.tar.gz
trunk-47381-master.tar.bz2
trunk-47381-master.zip
trunk-47381HEADmaster
Diffstat (limited to 'package/network/services/hostapd/files/wps-hotplug.sh')
-rw-r--r--package/network/services/hostapd/files/wps-hotplug.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/package/network/services/hostapd/files/wps-hotplug.sh b/package/network/services/hostapd/files/wps-hotplug.sh
new file mode 100644
index 0000000..24af80e
--- /dev/null
+++ b/package/network/services/hostapd/files/wps-hotplug.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ "$ACTION" = "pressed" -a "$BUTTON" = "wps" ]; then
+ cd /var/run/hostapd
+ for socket in *; do
+ [ -S "$socket" ] || continue
+ hostapd_cli -i "$socket" wps_pbc
+ done
+fi
+
+return 0